
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

# {{ ansible_managed }}
# Role: {{ role_name }}
# File: {{ template_path | relpath(role_path) }}
{# # Commit: {{ lookup('pipe', 'git rev-parse --short HEAD') }} #}

[Unit]
Description={{ stack_project.name | capitalize }} container starter
After=docker.service network-online.target
Requires=docker.service network-online.target

[Service]
WorkingDirectory={{ stack_project.path }}
User={{ stack_project.user }}
Type=oneshot
RemainAfterExit=yes

ExecStart={{ stack_project.path }}venv/bin/docker-compose up -d
ExecStop={{ stack_project.path }}venv/bin/docker-compose down
ExecReload={{ stack_project.path }}venv/bin/docker-compose up -d

[Install]
WantedBy=docker.service
